Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Errors and warnings when installing
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Installing Gentoo
View previous topic :: View next topic  
Author Message
CarterCox
n00b
n00b


Joined: 28 Jan 2018
Posts: 34

PostPosted: Fri Apr 20, 2018 6:18 pm    Post subject: Errors and warnings when installing Reply with quote

Hello! I am installing Gentoo and I ran into some problems I never had before. Here they are:

After running
Code:
# emerge --ask --update --deep --newuse @world


Code:
Messages for package sys-auth/consolekit-1.2.0;
* Unable to find kernel sources at /usr/src/linux
* Unable to calculate Linux Kernel version for build, attempting to use running version
*   CONFIG_AUDITSYSCALL:   is not set when it should be-
* Please check to make sure this options are set correctly
* Failure to do so may cause unexpected problems-

After running
Code:
# emerge --ask sys-kernel/gentoo-sources


Code:
* IMPORTANT: config file '/etc/portage/package.keywords/zz-autounmask' needs updating


I ahve read the emerge man page and I found the tools I need. I just don't know if I should worry about that now or once I've installed the system.
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 19619
Location: here

PostPosted: Fri Apr 20, 2018 8:21 pm    Post subject: Reply with quote

What package want to unmask portage? You can run etc-update to see
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
CarterCox
n00b
n00b


Joined: 28 Jan 2018
Posts: 34

PostPosted: Fri Apr 20, 2018 10:00 pm    Post subject: Reply with quote

fedeliallalinea wrote:
What package want to unmask portage? You can run etc-update to see


It's ck-sources. So that's not a system-wide warning? Just a "message" from the package I'm trying to emerge?
Back to top
View user's profile Send private message
Hu
Moderator
Moderator


Joined: 06 Mar 2007
Posts: 12805

PostPosted: Sat Apr 21, 2018 12:36 am    Post subject: Reply with quote

The message about auditsyscall is a per-package message. The IMPORTANT is a system-scope message, likely provoked by use of autounmask. What did you autounmask? Why?
Back to top
View user's profile Send private message
skellr
l33t
l33t


Joined: 18 Jun 2005
Posts: 815
Location: The Village, Portmeirion

PostPosted: Sat Apr 21, 2018 1:38 am    Post subject: Reply with quote

You can use eselect kernel to update the /usr/src/linux symlink so it points to the current kernel. Or you can set the symlink useflag for kernel sources and it will always do it.
Back to top
View user's profile Send private message
CarterCox
n00b
n00b


Joined: 28 Jan 2018
Posts: 34

PostPosted: Sat Apr 21, 2018 4:20 am    Post subject: Reply with quote

Quote:
The message about auditsyscall is a per-package message. The IMPORTANT is a system-scope message, likely provoked by use of autounmask. What did you autounmask? Why?


I see. I didn't unmask anything I think. I just tried to emerge ck-sources and I couldn't do it because of that. I ended up emerging gentoo-sources instead.

Quote:
You can use eselect kernel to update the /usr/src/linux symlink so it points to the current kernel. Or you can set the symlink useflag for kernel sources and it will always do it.


Thanks, that's good information. I'll keep it in mind. However, the problem arised during installation, which means it was the first time I ever downloaded the sources.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Installing Gentoo All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum